import { IMiddleware } from '@midwayjs/core';
import { Context, NextFunction } from '@midwayjs/koa';
/**
 * 执行时间中间件
 */
export declare class ExecuteTimeMiddleware implements IMiddleware<Context, NextFunction> {
    resolve(): (ctx: Context, next: NextFunction) => Promise<any>;
    ignore(ctx: any): boolean;
    static getName(): string;
}
